Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.el
Class VariableResolver

    java.lang.Object
      javax.faces.el.VariableResolver

Deprecated. This has been replaced by `ELResolver` when operating with a `null` `base` argument.

    public abstract class VariableResolver

extends java.lang.Object

VariableResolver represents a pluggable mechanism for resolving a top-level variable reference at evaluation time.

Constructor Summary
`VariableResolver()` Deprecated.

Method Summary
`abstract java.lang.Object` | `resolveVariable(FacesContext context, java.lang.String name)` Deprecated. Resolve the specified variable name, and return the corresponding object, if any; otherwise, return `null`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariableResolver

    public VariableResolver()

  Deprecated.

Method Detail

### resolveVariable

    public abstract java.lang.Object resolveVariable(FacesContext context,
                                                     java.lang.String name)
                                              throws EvaluationException

  Deprecated.

  Resolve the specified variable name, and return the corresponding object, if any; otherwise, return `null`.

  Parameters:
    `context` - `FacesContext` against which to resolve this variable name
    `name` - Name of the variable to be resolved
  Throws:
    `EvaluationException` - if an exception is thrown while resolving the variable name (the thrown exception must be included as the `cause` property of this exception)
    `java.lang.NullPointerException` - if `context` or `name` is `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.